// $Id$

//=============================================================================
/**
 *  @file    ace_wrappers.h
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#ifndef JYUGEM_BEE_ACE_WRAPPERS_H
#define JYUGEM_BEE_ACE_WRAPPERS_H

#ifdef _MSC_VER
#pragma warning( disable: 4244 )
#endif

#include "ace/streams.h"
#include "ace/OS.h"
#include "ace/ACE.h"
#include "ace/Log_Msg.h"
#include "ace/Synch.h"
#include "ace/Module.h"
#include "ace/Task.h"
#include "ace/Reactor.h"
#include "ace/Proactor.h"
#include "ace/Singleton.h"
#include "ace/Timer_Queue_Adapters.h"
#include "ace/Atomic_Op.h"

#define BCHAR   ACE_TCHAR
#define _TX     ACE_TEXT

#include "jyugem/bee/detail/BEE_Export.h"

#endif  // JYUGEM_BEE_ACE_WRAPPERS_H
