// $Id$

//=============================================================================
/**
 *  @file    CarrierHandler.cpp
 *
 *  @author  Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#define BEE_BUILD_DLL

#ifdef _MSC_VER
#pragma warning( disable: 4267 )
#endif

#include "jyugem/cms/CarrierHandler.h"
#include "jyugem/cms/LoadPort.h"

//
namespace jyugem { namespace cms
{

CarrierHandler::CarrierHandler()
{
  LoadPortPtr lpp(new LoadPort(1)); 
  m_ports.push_back(lpp);

  lpp.reset(new LoadPort(2));
  m_ports.push_back(lpp);
}

#if 0
void CarrierHandler::copy(const CarrierHandler& rhs)
{
  m_groups = rhs.m_groups;
  m_ports = rhs.m_ports;

}
#endif

int CarrierHandler::open()
{
  for (int i = 0; i < (int)m_ports.size(); i++)
  {
    m_ports[i]->open0();
  }
  return 0;
}


} } // *namespace* jyugem::cms
